<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="ace62e4c-412e-4400-9662-1a6a4afbd791" name="Default" comment="" />
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="375">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/executor/statement/PreparedStatementHandler.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="875">
              <caret line="64" column="37" selection-start-line="64" selection-start-column="37" selection-end-line="64" selection-end-column="37" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/executor/resultset/ResultSetHandler.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="250">
              <caret line="29" column="14" selection-start-line="29" selection-start-column="14" selection-end-line="29" selection-end-column="14" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/executor/resultset/DefaultResultSetHandler.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="3025">
              <caret line="180" column="22" selection-start-line="180" selection-start-column="22" selection-end-line="180" selection-end-column="22" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/executor/BaseExecutor.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1025">
              <caret line="82" column="39" selection-start-line="82" selection-start-column="39" selection-end-line="82" selection-end-column="39" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/pom.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="2075">
              <caret line="83" column="18" selection-start-line="83" selection-start-column="18" selection-end-line="83" selection-end-column="18" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/mapping/SqlSource.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="275">
              <caret line="25" column="5" selection-start-line="25" selection-start-column="5" selection-end-line="25" selection-end-column="5" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/builder/xml/XMLConfigBuilder.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-12510">
              <caret line="52" column="13" selection-start-line="52" selection-start-column="13" selection-end-line="52" selection-end-column="13" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/type/TypeAliasRegistry.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="200">
              <caret line="37" column="32" lean-forward="true" selection-start-line="37" selection-start-column="32" selection-end-line="37" selection-end-column="32" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/mapping/SqlCommandType.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="150">
              <caret line="20" column="12" selection-start-line="20" selection-start-column="12" selection-end-line="20" selection-end-column="12" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/executor/ExecutionPlaceholder.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="175">
              <caret line="21" column="17" selection-start-line="21" selection-start-column="17" selection-end-line="21" selection-end-column="17" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>smlz</find>
      <find>tuling</find>
    </findStrings>
    <replaceStrings>
      <replace />
    </replaceStrings>
    <dirStrings>
      <dir>D:\ideaworkspace\mybatis-3.5.3</dir>
    </dirStrings>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/pom.xml" />
        <option value="$PROJECT_DIR$/src/main/java/org/apache/ibatis/binding/MapperRegistry.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/apache/ibatis/binding/MapperProxyFactory.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/apache/ibatis/builder/xml/XMLConfigBuilder.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/apache/ibatis/builder/xml/XMLMapperBuilder.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/apache/ibatis/builder/BaseBuilder.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/apache/ibatis/type/TypeAliasRegistry.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/apache/ibatis/mapping/SqlSource.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/apache/ibatis/scripting/LanguageDriver.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/apache/ibatis/scripting/xmltags/XMLLanguageDriver.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/apache/ibatis/builder/xml/XMLStatementBuilder.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/apache/ibatis/builder/MapperBuilderAssistant.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/apache/ibatis/reflection/TypeParameterResolver.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/apache/ibatis/reflection/ParamNameResolver.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/apache/ibatis/binding/MapperProxy.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/apache/ibatis/binding/MapperMethod.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/apache/ibatis/session/Configuration.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/apache/ibatis/session/defaults/DefaultSqlSessionFactory.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/apache/ibatis/session/RowBounds.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/apache/ibatis/session/defaults/DefaultSqlSession.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/apache/ibatis/mapping/BoundSql.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/apache/ibatis/executor/CachingExecutor.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/apache/ibatis/executor/Executor.java" />
        <option value="$PROJECT_DIR$/src/main/java/org/apache/ibatis/executor/BaseExecutor.java" />
      </list>
    </option>
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="mavenHome" value="D:/apache-maven-3.6.1" />
        <option name="userSettingsFile" value="D:\apache-maven-3.6.1\conf\settings.xml" />
      </MavenGeneralSettings>
    </option>
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <PATH>
        <PATH_ELEMENT>
          <option name="myItemId" value="" />
          <option name="myItemType" value="org.jetbrains.idea.maven.navigator.MavenProjectsStructure$RootNode" />
        </PATH_ELEMENT>
        <PATH_ELEMENT>
          <option name="myItemId" value="mybatis" />
          <option name="myItemType" value="org.jetbrains.idea.maven.navigator.MavenProjectsStructure$ProjectNode" />
        </PATH_ELEMENT>
      </PATH>
      <PATH>
        <PATH_ELEMENT>
          <option name="myItemId" value="" />
          <option name="myItemType" value="org.jetbrains.idea.maven.navigator.MavenProjectsStructure$RootNode" />
        </PATH_ELEMENT>
        <PATH_ELEMENT>
          <option name="myItemId" value="mybatis" />
          <option name="myItemType" value="org.jetbrains.idea.maven.navigator.MavenProjectsStructure$ProjectNode" />
        </PATH_ELEMENT>
        <PATH_ELEMENT>
          <option name="myItemId" value="Lifecycle" />
          <option name="myItemType" value="org.jetbrains.idea.maven.navigator.MavenProjectsStructure$LifecycleNode" />
        </PATH_ELEMENT>
      </PATH>
    </treeState>
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="-9" />
    <option name="width" value="1937" />
    <option name="height" value="1039" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane" />
      <pane id="PackagesPane" />
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="editor.config.ad.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="settings.editor.selected.configurable" value="reference.settingsdialog.project.gradle" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration default="true" type="Applet">
      <option name="POLICY_FILE" value="$APPLICATION_HOME_DIR$/bin/appletviewer.policy" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="Application" factoryName="Application">
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="ArquillianJUnit" factoryName="" nameIsGenerated="true">
      <option name="arquillianRunConfiguration">
        <value>
          <option name="containerStateName" value="" />
        </value>
      </option>
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" />
      <option name="WORKING_DIRECTORY" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="ArquillianTestNG" factoryName="">
      <option name="arquillianRunConfiguration">
        <value>
          <option name="containerStateName" value="" />
        </value>
      </option>
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="VM_PARAMETERS" />
      <option name="WORKING_DIRECTORY" />
      <properties />
      <listeners />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="GrailsRunConfigurationType" factoryName="Grails">
      <setting name="vmparams" value="" />
      <setting name="cmdLine" value="run-app" />
      <setting name="passParentEnv" value="true" />
      <setting name="launchBrowser" value="true" />
      <setting name="launchBrowserUrl" value="" />
      <setting name="depsClasspath" value="false" />
      <method v="2" />
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="JetRunConfigurationType" factoryName="Kotlin">
      <module name="mybatis" />
      <option name="VM_PARAMETERS" />
      <option name="PROGRAM_PARAMETERS" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="MAIN_CLASS_NAME" />
      <option name="WORKING_DIRECTORY" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="KotlinStandaloneScriptRunConfigurationType" factoryName="Kotlin script">
      <option name="filePath" />
      <option name="vmParameters" />
      <option name="alternativeJrePath" />
      <option name="programParameters" />
      <option name="passParentEnvs" value="true" />
      <option name="workingDirectory" />
      <option name="isAlternativeJrePathEnabled" value="false" />
      <option name="VM_PARAMETERS" />
      <option name="PROGRAM_PARAMETERS" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="MAIN_CLASS_NAME" />
      <option name="WORKING_DIRECTORY" />
      <module name="" />
      <option name="filePath" />
      <option name="vmParameters" />
      <option name="alternativeJrePath" />
      <option name="programParameters" />
      <option name="passParentEnvs" value="true" />
      <option name="workingDirectory" />
      <option name="isAlternativeJrePathEnabled" value="false" />
      <option name="VM_PARAMETERS" />
      <option name="PROGRAM_PARAMETERS" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="MAIN_CLASS_NAME" />
      <option name="WORKING_DIRECTORY" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="TestNG">
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <properties />
      <listeners />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="#org.jetbrains.idea.devkit.run.PluginConfigurationType">
      <module name="" />
      <option name="VM_PARAMETERS" value="-Xmx512m -Xms256m -XX:MaxPermSize=250m -ea" />
      <option name="PROGRAM_PARAMETERS" />
      <predefined_log_file enabled="true" id="idea.log" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="js.build_tools.gulp">
      <node-interpreter>project</node-interpreter>
      <node-options />
      <gulpfile />
      <tasks />
      <arguments />
      <envs />
      <method v="2" />
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="ace62e4c-412e-4400-9662-1a6a4afbd791" name="Default" comment="" />
      <created>1566302995964</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1566302995964</updated>
      <workItem from="1566302998410" duration="2933000" />
      <workItem from="1566476360579" duration="2740000" />
      <workItem from="1566536541799" duration="3011000" />
      <workItem from="1566725356676" duration="2114000" />
      <workItem from="1566797251134" duration="854000" />
      <workItem from="1566819670648" duration="4093000" />
      <workItem from="1567148662332" duration="4546000" />
      <workItem from="1567172161359" duration="4873000" />
      <workItem from="1567423328257" duration="3766000" />
      <workItem from="1567502591370" duration="1207000" />
      <workItem from="1567661758699" duration="613000" />
      <workItem from="1567666998263" duration="6472000" />
      <workItem from="1567746452998" duration="16867000" />
      <workItem from="1567919547940" duration="4823000" />
      <workItem from="1567927200063" duration="24425000" />
      <workItem from="1568202467229" duration="9065000" />
      <workItem from="1568611809171" duration="3906000" />
      <workItem from="1568728646151" duration="1584000" />
      <workItem from="1568880283238" duration="1200000" />
      <workItem from="1569756796299" duration="217000" />
      <workItem from="1569757179991" duration="1837000" />
      <workItem from="1570157160985" duration="282000" />
      <workItem from="1570692094726" duration="1563000" />
      <workItem from="1570769956253" duration="596000" />
      <workItem from="1572004551555" duration="1026000" />
      <workItem from="1572264377949" duration="1207000" />
      <workItem from="1573040857609" duration="1914000" />
      <workItem from="1573126597840" duration="27000" />
      <workItem from="1573990161083" duration="610000" />
      <workItem from="1574336540617" duration="2105000" />
      <workItem from="1574768689004" duration="727000" />
      <workItem from="1575546136610" duration="1797000" />
      <workItem from="1576417338601" duration="598000" />
      <workItem from="1576590853511" duration="599000" />
      <workItem from="1577187492748" duration="1842000" />
      <workItem from="1577878353889" duration="258000" />
      <workItem from="1577887103295" duration="598000" />
      <workItem from="1578274752339" duration="1561000" />
      <workItem from="1578914407169" duration="2073000" />
      <workItem from="1581237128687" duration="1425000" />
      <workItem from="1586768827979" duration="1142000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="123096000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="-7" y="0" width="1549" height="831" extended-state="0" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.3574782" />
      <window_info id="Structure" order="1" weight="0.25" />
      <window_info id="Nl-Palette" order="2" />
      <window_info id="Favorites" order="3" side_tool="true" />
      <window_info id="Image Layers" order="4" />
      <window_info id="Designer" order="5" />
      <window_info id="UI Designer" order="6" />
      <window_info id="Capture Tool" order="7" />
      <window_info anchor="bottom" id="Database Changes" />
      <window_info anchor="bottom" id="Docker" show_stripe_button="false" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.36240092" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" visible="true" weight="0.22857143" />
      <window_info anchor="bottom" id="Terminal" order="7" weight="0.32842582" />
      <window_info anchor="bottom" id="Event Log" order="8" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="9" show_stripe_button="false" />
      <window_info anchor="right" id="Maven" />
      <window_info anchor="right" id="Commander" order="0" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Capture Analysis" order="4" />
      <window_info anchor="right" id="Theme Preview" order="5" />
      <window_info anchor="right" id="Properties" order="6" />
      <window_info anchor="right" id="Database" order="7" />
      <window_info anchor="right" id="Palette&#9;" order="8" />
      <window_info anchor="right" id="Maven Projects" order="9" visible="true" weight="0.29162192" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/builder/xml/XMLStatementBuilder.java</url>
          <line>150</line>
          <properties />
          <option name="timeStamp" value="2" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/parsing/XNode.java</url>
          <line>238</line>
          <properties />
          <option name="timeStamp" value="3" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/builder/MapperBuilderAssistant.java</url>
          <line>362</line>
          <properties />
          <option name="timeStamp" value="7" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/session/defaults/DefaultSqlSessionFactory.java</url>
          <line>116</line>
          <properties />
          <option name="timeStamp" value="9" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/scripting/xmltags/XMLScriptBuilder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="275">
          <caret line="45" column="9" selection-start-line="45" selection-start-column="9" selection-end-line="45" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/scripting/xmltags/XMLLanguageDriver.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="194">
          <caret line="41" column="28" selection-start-line="41" selection-start-column="28" selection-end-line="41" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/scripting/LanguageDriver.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="275">
          <caret line="78" column="12" selection-start-line="78" selection-start-column="12" selection-end-line="78" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/mapping/StatementType.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="189">
          <caret line="21" column="31" selection-start-line="21" selection-start-column="31" selection-end-line="21" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/mapping/ResultSetType.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="216">
          <caret line="22" column="12" selection-start-line="22" selection-start-column="12" selection-end-line="22" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/builder/BaseBuilder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1566">
          <caret line="85" column="26" selection-start-line="85" selection-start-column="26" selection-end-line="85" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/mapping/ParameterMap.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="594">
          <caret line="39" column="31" selection-start-line="39" selection-start-column="31" selection-end-line="39" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/builder/MapperBuilderAssistant.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="5616">
          <caret line="256" column="25" selection-start-line="256" selection-start-column="25" selection-end-line="256" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/builder/xml/XMLStatementBuilder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="4293">
          <caret line="189" column="14" selection-start-line="189" selection-start-column="14" selection-end-line="189" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_131/src.zip!/java/util/Map.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="24948">
          <caret line="950" column="29" selection-start-line="950" selection-start-column="14" selection-end-line="950" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/builder/CacheRefResolver.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="216">
          <caret line="22" column="13" selection-start-line="22" selection-start-column="13" selection-end-line="22" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_131/src.zip!/java/lang/Class.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34236">
          <caret line="1343" column="18" selection-start-line="1343" selection-start-column="18" selection-end-line="1343" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_131/src.zip!/java/lang/reflect/Type.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="297">
          <caret line="34" column="17" selection-start-line="34" selection-start-column="17" selection-end-line="34" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/executor/loader/AbstractEnhancedDeserializationProxy.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="243">
          <caret line="9" column="13" selection-start-line="9" selection-start-column="13" selection-end-line="9" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/reflection/factory/DefaultObjectFactory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="593">
          <caret line="108" column="21" selection-start-line="108" selection-start-column="21" selection-end-line="108" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/reflection/factory/ObjectFactory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="593">
          <caret line="59" column="14" selection-start-line="59" selection-start-column="14" selection-end-line="59" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_131/src.zip!/java/lang/reflect/Executable.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="284">
          <caret line="548" column="19" selection-start-line="548" selection-start-column="19" selection-end-line="548" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_131/src.zip!/java/lang/reflect/Method.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="353">
          <caret line="638" column="31" selection-start-line="638" selection-start-column="31" selection-end-line="638" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/reflection/TypeParameterResolver.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="601">
          <caret line="70" column="7" selection-start-line="70" selection-start-column="7" selection-end-line="70" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/reflection/ParamNameResolver.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="151">
          <caret line="122" column="16" selection-start-line="122" selection-start-column="16" selection-end-line="122" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/binding/MapperProxyFactory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="972">
          <caret line="61" column="13" lean-forward="true" selection-start-line="61" selection-start-column="13" selection-end-line="61" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/cache/impl/PerpetualCache.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="269">
          <caret line="40" lean-forward="true" selection-start-line="40" selection-end-line="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/binding/MapperProxy.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="260">
          <caret line="110" column="28" selection-start-line="110" selection-start-column="28" selection-end-line="110" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/builder/annotation/MapperAnnotationBuilder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="187">
          <caret line="372" column="13" selection-start-line="372" selection-start-column="13" selection-end-line="372" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/org/apache/ibatis/executor/BaseExecutorTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="187">
          <caret line="320" column="11" selection-start-line="320" selection-start-column="11" selection-end-line="320" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/plugin/InterceptorChain.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="175">
          <caret line="28" column="16" selection-start-line="28" selection-start-column="16" selection-end-line="28" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/session/SqlSession.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="175">
          <caret line="48" column="8" selection-start-line="48" selection-start-column="8" selection-end-line="48" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/session/defaults/DefaultSqlSessionFactory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2889">
          <caret line="125" column="51" selection-start-line="125" selection-start-column="51" selection-end-line="125" selection-end-column="51" />
          <folding>
            <element signature="imports" />
            <element signature="e#1590#1591#0" />
            <element signature="e#1634#1635#0" />
            <element signature="e#3157#3158#0" />
            <element signature="e#3187#3188#0" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/binding/MapperMethod.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2673">
          <caret line="134" column="12" selection-start-line="134" selection-start-column="12" selection-end-line="134" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/session/RowBounds.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="135">
          <caret line="19" column="20" selection-start-line="19" selection-start-column="20" selection-end-line="19" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/session/Configuration.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="13959">
          <caret line="773" column="25" selection-start-line="773" selection-start-column="25" selection-end-line="773" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/mapping/BoundSql.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="432">
          <caret line="36" selection-start-line="36" selection-end-line="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/session/defaults/DefaultSqlSession.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3888">
          <caret line="188" column="24" selection-start-line="188" selection-start-column="24" selection-end-line="188" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/cache/TransactionalCacheManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="378">
          <caret line="34" column="29" selection-start-line="34" selection-start-column="29" selection-end-line="34" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/executor/CachingExecutor.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2835">
          <caret line="138" column="23" selection-start-line="138" selection-start-column="23" selection-end-line="138" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="uml://JAVA/org.apache.ibatis.executor.Executor">
      <provider selected="true" editor-type-id="UmlEditorProvider">
        <state>
          <ID>JAVA</ID>
          <OriginalElement>org.apache.ibatis.executor.Executor</OriginalElement>
          <nodes>
            <node x="398.25" y="0.0">org.apache.ibatis.executor.Executor</node>
            <node x="464.5" y="85.0">org.apache.ibatis.executor.CachingExecutor</node>
            <node x="374.0" y="170.0">org.apache.ibatis.executor.SimpleExecutor</node>
            <node x="286.5" y="85.0">org.apache.ibatis.executor.BaseExecutor</node>
            <node x="569.0" y="170.0">org.apache.ibatis.executor.loader.ResultLoaderMap.ClosedExecutor</node>
            <node x="185.0" y="170.0">org.apache.ibatis.executor.ReuseExecutor</node>
            <node x="0.0" y="170.0">org.apache.ibatis.executor.BatchExecutor</node>
          </nodes>
          <notes />
          <edges>
            <edge source="org.apache.ibatis.executor.ReuseExecutor" target="org.apache.ibatis.executor.BaseExecutor">
              <point x="0.0" y="-17.5" />
              <point x="269.5" y="150.0" />
              <point x="345.75" y="150.0" />
              <point x="-19.75" y="17.5" />
            </edge>
            <edge source="org.apache.ibatis.executor.BaseExecutor" target="org.apache.ibatis.executor.Executor">
              <point x="0.0" y="-17.5" />
              <point x="365.5" y="60.0" />
              <point x="429.5" y="60.0" />
              <point x="-31.25" y="17.5" />
            </edge>
            <edge source="org.apache.ibatis.executor.CachingExecutor" target="org.apache.ibatis.executor.Executor">
              <point x="0.0" y="-17.5" />
              <point x="556.0" y="60.0" />
              <point x="492.0" y="60.0" />
              <point x="31.25" y="17.5" />
            </edge>
            <edge source="org.apache.ibatis.executor.SimpleExecutor" target="org.apache.ibatis.executor.BaseExecutor">
              <point x="0.0" y="-17.5" />
              <point x="461.5" y="150.0" />
              <point x="385.25" y="150.0" />
              <point x="19.75" y="17.5" />
            </edge>
            <edge source="org.apache.ibatis.executor.loader.ResultLoaderMap.ClosedExecutor" target="org.apache.ibatis.executor.BaseExecutor">
              <point x="0.0" y="-17.5" />
              <point x="656.5" y="140.0" />
              <point x="424.75" y="140.0" />
              <point x="59.25" y="17.5" />
            </edge>
            <edge source="org.apache.ibatis.executor.BatchExecutor" target="org.apache.ibatis.executor.BaseExecutor">
              <point x="0.0" y="-17.5" />
              <point x="82.5" y="140.0" />
              <point x="306.25" y="140.0" />
              <point x="-59.25" y="17.5" />
            </edge>
          </edges>
          <settings layout="Hierarchic Group" zoom="1.0" x="-420.0" y="-80.0" />
          <SelectedNodes>
            <node>org.apache.ibatis.executor.BaseExecutor</node>
          </SelectedNodes>
          <Categories />
          <SCOPE>All</SCOPE>
          <VISIBILITY>private</VISIBILITY>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/executor/Executor.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="621">
          <caret line="47" selection-start-line="47" selection-end-line="47" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/mapping/MappedStatement.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="5292">
          <caret line="251" column="17" selection-start-line="251" selection-start-column="17" selection-end-line="251" selection-end-column="17" />
          <folding>
            <element signature="n#!!doc" expanded="false" />
            <element signature="imports" expanded="false" />
            <element signature="e#3349#3350#0" expanded="false" />
            <element signature="e#3388#3389#0" expanded="false" />
            <element signature="e#6351#6352#0" expanded="false" />
            <element signature="e#6380#6381#0" expanded="false" />
            <element signature="e#6427#6428#0" expanded="false" />
            <element signature="e#6458#6459#0" expanded="false" />
            <element signature="e#6491#6492#0" expanded="false" />
            <element signature="e#6516#6517#0" expanded="false" />
            <element signature="e#6561#6562#0" expanded="false" />
            <element signature="e#6591#6592#0" expanded="false" />
            <element signature="e#6618#6619#0" expanded="false" />
            <element signature="e#6637#6638#0" expanded="false" />
            <element signature="e#6679#6680#0" expanded="false" />
            <element signature="e#6715#6716#0" expanded="false" />
            <element signature="e#6750#6751#0" expanded="false" />
            <element signature="e#6776#6777#0" expanded="false" />
            <element signature="e#6809#6810#0" expanded="false" />
            <element signature="e#6833#6834#0" expanded="false" />
            <element signature="e#6878#6879#0" expanded="false" />
            <element signature="e#6908#6909#0" expanded="false" />
            <element signature="e#6953#6954#0" expanded="false" />
            <element signature="e#6983#6984#0" expanded="false" />
            <element signature="e#7020#7021#0" expanded="false" />
            <element signature="e#7046#7047#0" expanded="false" />
            <element signature="e#7089#7090#0" expanded="false" />
            <element signature="e#7118#7119#0" expanded="false" />
            <element signature="e#7162#7163#0" expanded="false" />
            <element signature="e#7189#7190#0" expanded="false" />
            <element signature="e#7218#7219#0" expanded="false" />
            <element signature="e#7240#7241#0" expanded="false" />
            <element signature="e#7283#7284#0" expanded="false" />
            <element signature="e#7318#7319#0" expanded="false" />
            <element signature="e#7351#7352#0" expanded="false" />
            <element signature="e#7376#7377#0" expanded="false" />
            <element signature="e#7414#7415#0" expanded="false" />
            <element signature="e#7444#7445#0" expanded="false" />
            <element signature="e#7479#7480#0" expanded="false" />
            <element signature="e#7506#7507#0" expanded="false" />
            <element signature="e#7546#7547#0" expanded="false" />
            <element signature="e#7576#7577#0" expanded="false" />
            <element signature="e#7613#7614#0" expanded="false" />
            <element signature="e#7640#7641#0" expanded="false" />
            <element signature="e#7674#7675#0" expanded="false" />
            <element signature="e#7703#7704#0" expanded="false" />
            <element signature="e#7740#7741#0" expanded="false" />
            <element signature="e#7761#7762#0" expanded="false" />
            <element signature="e#7798#7799#0" expanded="false" />
            <element signature="e#7825#7826#0" expanded="false" />
            <element signature="e#7933#7934#0" expanded="false" />
            <element signature="e#7960#7961#0" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/executor/ErrorContext.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="162">
          <caret line="20" column="27" selection-start-line="20" selection-start-column="27" selection-end-line="20" selection-end-column="27" />
          <folding>
            <element signature="n#!!doc" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/executor/SimpleExecutor.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="675">
          <caret line="57" column="26" selection-start-line="57" selection-start-column="26" selection-end-line="57" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/executor/statement/StatementHandler.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="550">
          <caret line="44" column="14" selection-start-line="44" selection-start-column="14" selection-end-line="44" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/executor/statement/PreparedStatementHandler.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="875">
          <caret line="64" column="37" selection-start-line="64" selection-start-column="37" selection-end-line="64" selection-end-column="37" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/executor/resultset/ResultSetHandler.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="250">
          <caret line="29" column="14" selection-start-line="29" selection-start-column="14" selection-end-line="29" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/executor/resultset/DefaultResultSetHandler.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3025">
          <caret line="180" column="22" selection-start-line="180" selection-start-column="22" selection-end-line="180" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/executor/BaseExecutor.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1025">
          <caret line="82" column="39" selection-start-line="82" selection-start-column="39" selection-end-line="82" selection-end-column="39" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2075">
          <caret line="83" column="18" selection-start-line="83" selection-start-column="18" selection-end-line="83" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/mapping/SqlCommandType.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="150">
          <caret line="20" column="12" selection-start-line="20" selection-start-column="12" selection-end-line="20" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/executor/ExecutionPlaceholder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="175">
          <caret line="21" column="17" selection-start-line="21" selection-start-column="17" selection-end-line="21" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/mapping/SqlSource.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="275">
          <caret line="25" column="5" selection-start-line="25" selection-start-column="5" selection-end-line="25" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/builder/xml/XMLConfigBuilder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-12510">
          <caret line="52" column="13" selection-start-line="52" selection-start-column="13" selection-end-line="52" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/type/TypeAliasRegistry.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="200">
          <caret line="37" column="32" lean-forward="true" selection-start-line="37" selection-start-column="32" selection-end-line="37" selection-end-column="32" />
        </state>
      </provider>
    </entry>
  </component>
</project>